unit f_stringgrided;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, rImprovedComps, Grids, rStringGridEd, rHTMLLabel,
  Clipbrd, ComCtrls, ExtCtrls, rDBMemoGrid, GraphUtil, RosiCompGlobalCfg;

type
  TStringGridEdForm = class(TForm)
    rHTMLLabel1: TrHTMLLabel;
    rStringGridEd1: TrStringGridEd;
    gbBottom: TrGroupBox;
    rGroupBox1: TrGroupBox;
    ImgTest: TImage;
    Memo1: TMemo;
    btCopy: TButton;
    btPaste: TButton;
    btXLSExport: TButton;
    btResetChangeLog: TButton;
    btPrint: TButton;
    btPrintDirect: TButton;
    rGroupBox2: TrGroupBox;
    chAutoAdd: TCheckBox;
    chColorLast: TCheckBox;
    chColorChanged: TCheckBox;
    chAutoRowHeight: TCheckBox;
    chRichText: TCheckBox;
    procedure btCopyClick(Sender: TObject);
    procedure btPasteClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure rStringGridEd1Columns2DropDownDrawItemEvent(Control: TWinControl; Index: Integer; Rect: TRect; State: TOwnerDrawState);
    procedure rStringGridEd1Columns2DropDownMeasureItemEvent(Control: TWinControl; Index: Integer; var Height: Integer);
    procedure rStringGridEd1Columns2DropDownGetSize(Sender: TObject; var NewWidth, NewHeight: Integer; var Resize: Boolean);
    procedure rStringGridEd1EllipsisClicked(Sender: TObject; Col, Row: Integer);
    procedure rStringGridEd1GetCellParams(Sender: TObject; Col, Row: Integer; AFont: TFont; var Background: TColor; var Highlight: Boolean);
    procedure btXLSExportClick(Sender: TObject);
    procedure Memo1DragOver(Sender, Source: TObject; X, Y: Integer; State: TDragState; var Accept: Boolean);
    procedure Memo1DragDrop(Sender, Source: TObject; X, Y: Integer);
    procedure chAutoAddClick(Sender: TObject);
    procedure chColorLastClick(Sender: TObject);
    procedure chColorChangedClick(Sender: TObject);
    procedure btResetChangeLogClick(Sender: TObject);
    procedure btPrintClick(Sender: TObject);
    procedure btPrintDirectClick(Sender: TObject);
    procedure chAutoRowHeightClick(Sender: TObject);
    procedure rStringGridEd1GetEllipsisButtonFormat(Sender: TObject; Col,
      Row: Integer; var ButtonWidth: Integer; var Glyph: TBitmap);
    procedure chRichTextClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  StringGridEdForm: TStringGridEdForm;

implementation

{$R *.dfm}

uses rtool;  //, rDBPrintDirect, rDBPrint;

procedure TStringGridEdForm.FormCreate(Sender: TObject);
begin
  rStringGridEd1.Cells[1, 1]:='Short Line';
  rStringGridEd1.Cells[1, 2]:='Very long line with many words';
  rStringGridEd1.Cells[2, 1]:='0';
  rStringGridEd1.Cells[2, 2]:='1';
  rStringGridEd1.Cells[3, 1]:=dateToStr(Date);
  rStringGridEd1.Cells[3, 2]:='';
  rStringGridEd1.NumCells[4, 1]:=85;
  rStringGridEd1.NumCells[4, 2]:=120;
  rStringGridEd1.NumCells[5, 1]:=-13;
  rStringGridEd1.NumCells[5, 2]:=10;
  rStringGridEd1.Cells[6, 1]:='Apple';
  rStringGridEd1.Cells[6, 2]:='Pear';
  rStringGridEd1.Cells[7, 1]:='Red';
  rStringGridEd1.Cells[7, 2]:='';
  rStringGridEd1.Cells[8, 1]:='Text1';
  rStringGridEd1.Cells[8, 2]:='Text2';
  rStringGridEd1.Cells[9, 1]:='Text1';
  rStringGridEd1.Cells[9, 2]:='Text2';
  rStringGridEd1.Cells[10, 1]:='1,5';
  rStringGridEd1.Cells[10, 2]:='2,3';
  rStringGridEd1.NumCells[11, 1]:=20;
  rStringGridEd1.NumCells[11, 2]:=75;
  rStringGridEd1.NumCells[12, 1]:=2;
  rStringGridEd1.NumCells[12, 2]:=4;
  rStringGridEd1.NumCells[13, 1]:=2;
  rStringGridEd1.NumCells[13, 2]:=4;
  rStringGridEd1.NumCells[14, 1]:=2;
  rStringGridEd1.NumCells[14, 2]:=4;
  rStringGridEd1.Cells[15, 1]:='Text1';
  rStringGridEd1.Cells[15, 2]:='Text2';
  rStringGridEd1.ResetChangeLog;

  // fix bug for Seattle - do not read column width from DFM
  rStringGridEd1.ColWidths[0] := 25;
  rStringGridEd1.ColWidths[1] := 114;
  rStringGridEd1.ColWidths[2] := 52;
  rStringGridEd1.ColWidths[3] := 93;
  rStringGridEd1.ColWidths[4] := 72;
  rStringGridEd1.ColWidths[5] := 68;
  rStringGridEd1.ColWidths[6] := 79;
  rStringGridEd1.ColWidths[7] := 106;
  rStringGridEd1.ColWidths[8] := 77;
  rStringGridEd1.ColWidths[9] := 77;
  rStringGridEd1.ColWidths[10] := 77;
  rStringGridEd1.ColWidths[11] := 77;
  rStringGridEd1.ColWidths[12] := 77;
  rStringGridEd1.ColWidths[13] := 77;
  rStringGridEd1.ColWidths[14] := 77;
  rStringGridEd1.ColWidths[15] := 77;
end;

procedure TStringGridEdForm.Memo1DragDrop(Sender, Source: TObject; X, Y: Integer);
begin
  Memo1.Lines.text:=(Source as TrStringGridEd).ActiveCellText;
end;

procedure TStringGridEdForm.Memo1DragOver(Sender, Source: TObject; X, Y: Integer; State: TDragState; var Accept: Boolean);
begin
  Accept:=true;
end;

procedure TStringGridEdForm.rStringGridEd1Columns2DropDownDrawItemEvent(Control: TWinControl; Index: Integer; Rect: TRect; State: TOwnerDrawState);
var
  s: string;
  t: Integer;
begin
  s:=TCustomListBox(Control).Items[Index];
  if Index < 2 then
  begin
    TCustomListBox(Control).Canvas.Font.Style:=[fsBold];
    TCustomListBox(Control).Canvas.Font.Color:=clBlue;
  end;
  t:=(Rect.Bottom - Rect.Top - TCustomListBox(Control).Canvas.TextHeight('W')) div 2;
  TCustomListBox(Control).Canvas.TextRect(Rect, Rect.Left + 2, Rect.Top + t, s);
  if Index = 2 then
  begin
    TCustomListBox(Control).Canvas.MoveTo(Rect.Left, Rect.Top);
    TCustomListBox(Control).Canvas.LineTo(Rect.Right, Rect.Top);
  end;
end;

procedure TStringGridEdForm.rStringGridEd1Columns2DropDownGetSize(Sender: TObject; var NewWidth, NewHeight: Integer; var Resize: Boolean);
begin
  NewWidth:=200;
  NewHeight:=((Sender as TrStringGridEdColumn).PickList.Count) * 24 + 2;
end;

procedure TStringGridEdForm.rStringGridEd1Columns2DropDownMeasureItemEvent(Control: TWinControl; Index: Integer; var Height: Integer);
begin
  Height:=24;
end;

procedure TStringGridEdForm.rStringGridEd1EllipsisClicked(Sender: TObject; Col, Row: Integer);
begin
  ShowMessage('User defined event.');
end;

procedure TStringGridEdForm.rStringGridEd1GetCellParams(Sender: TObject; Col, Row: Integer; AFont: TFont; var Background: TColor; var Highlight: Boolean);
begin
  if chColorLast.Checked and (Row = rStringGridEd1.RowCount - 1) and rStringGridEd1.IsRowEmpty(Row) then
    Background:=clSilver;
end;

procedure TStringGridEdForm.rStringGridEd1GetEllipsisButtonFormat(
  Sender: TObject; Col, Row: Integer; var ButtonWidth: Integer;
  var Glyph: TBitmap);
begin
  if SameText(rStringGridEd1.Columns[Col].TitleCaption,'Own Ellipsis') then
  begin
    Glyph:=ImgTest.Picture.Bitmap;
    ButtonWidth:=0;
  end;
end;

procedure TStringGridEdForm.btCopyClick(Sender: TObject);
begin
  rStringGridEd1.CopySelRange;
  Memo1.Lines.text:=Clipboard.astext;
end;

procedure TStringGridEdForm.btPasteClick(Sender: TObject);
begin
  rStringGridEd1.PasteSelRange(true);
end;

procedure TStringGridEdForm.btXLSExportClick(Sender: TObject);
begin
  ShowMessage('Rosi DB Components package is needed for XLS export');
{
  // rXLSExport components and following code export  grid content to XLS
  rStringGridEd1.CopyEntireTable;
  rXLSExport.OpenFile(true);
  rXLSExport.PasteClipboardToCells;
  rXLSExport.UsedRangeAutoFit;
  rXLSExport.SetVisibility(true);
  }
end;

procedure TStringGridEdForm.btResetChangeLogClick(Sender: TObject);
begin
  rStringGridEd1.ResetChangeLog;
end;

procedure TStringGridEdForm.chAutoAddClick(Sender: TObject);
begin
  rStringGridEd1.AutoAddNewRow:=chAutoAdd.Checked;
end;

procedure TStringGridEdForm.chColorLastClick(Sender: TObject);
begin
  rStringGridEd1.Invalidate;
end;

procedure TStringGridEdForm.chRichTextClick(Sender: TObject);
begin
  if chRichText.Checked then
    rStringGridEd1.Columns[1].ButtonStyle:=sgbRichText
  else
    rStringGridEd1.Columns[1].ButtonStyle:=sgbNone;
end;

procedure TStringGridEdForm.chColorChangedClick(Sender: TObject);
begin
  if chColorChanged.Checked then
    rStringGridEd1.OptionsEx:=rStringGridEd1.OptionsEx + [dgColorChangedCells]
  else
    rStringGridEd1.OptionsEx:=rStringGridEd1.OptionsEx - [dgColorChangedCells];
end;

procedure TStringGridEdForm.btPrintClick(Sender: TObject);
begin
  ShowMessage('Rosi DB Forms is needed for printing');
{
  // following code print grid content
  rDBPrint.DBPrintStringGrid(rStringGridEd1,'Title');
}
end;

procedure TStringGridEdForm.btPrintDirectClick(Sender: TObject);
begin
  ShowMessage('Rosi DB Forms is needed for printing');
{
  // following code print grid content
  rDBPrintDirect.DBPrintDirectStringGrid(rStringGridEd1,'Title');
}
end;

procedure TStringGridEdForm.chAutoRowHeightClick(Sender: TObject);
begin
  rStringGridEd1.AutoRowHeight:=self.chAutoRowHeight.Checked;
  rStringGridEd1.Columns[1].WordWrap:=self.chAutoRowHeight.Checked;
  rStringGridEd1.DefaultRowHeight:=19;
end;


end.
