unit f_stringgridedasini;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, Grids, rStringGridEd, rImprovedComps;

type
  TStringGrigEdAsIniForm = class(TForm)
    sgSetting: TrStringGridEd;
    GroupBox1: TGroupBox;
    Button1: TButton;
    mDefValues: TrStringsHolder;
    Button2: TButton;
    Button3: TButton;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
    procedure sgSettingGetEditStyle(Sender: TObject; Col, Row: Integer;
      var EditStyle: TrStringGridEdEditStyle);
    procedure sgSettingEllipsisClicked(Sender: TObject; Col, Row: Integer);
    procedure sgSettingGetDataType(Sender: TObject; Col, Row: Integer;
      var DataType: TrStringGridEdDataType);
  private
    function GetFilename: string;
  public
    { Public declarations }
  end;

var
  StringGrigEdAsIniForm: TStringGrigEdAsIniForm;

implementation

{$R *.dfm}

function TStringGrigEdAsIniForm.GetFilename: string;
begin
  Result:=ChangeFileExt(Application.ExeName,'.cfg')
end;

procedure TStringGrigEdAsIniForm.sgSettingEllipsisClicked(Sender: TObject; Col,
  Row: Integer);
begin
  if (Col=sgSetting.IniValueColumn) then
  begin
    if (Row=sgSetting.FindIniRow('Default Dir')) then
    begin
      ShowMessage('select dir....');
      sgSetting.IniValues['Default Dir']:='new dir';
    end;
  end;
end;

procedure TStringGrigEdAsIniForm.sgSettingGetDataType(Sender: TObject; Col,
  Row: Integer; var DataType: TrStringGridEdDataType);
begin
  if (Col=sgSetting.IniValueColumn) then
  begin
    if (Row=sgSetting.FindIniRow('Start Date')) then
      DataType:=sgdDate;
    if (Row=sgSetting.FindIniRow('MaxLevel')) then
      DataType:=sgdInteger;
  end;
end;

procedure TStringGrigEdAsIniForm.sgSettingGetEditStyle(Sender: TObject; Col,
  Row: Integer; var EditStyle: TrStringGridEdEditStyle);
begin
  if (Col=sgSetting.IniValueColumn) then
  begin
    if (Row=sgSetting.FindIniRow('Auto Login')) then
      EditStyle:=sgbCheckbox;
    if (Row=sgSetting.FindIniRow('Default Dir')) then
      EditStyle:=sgbEllipsis;
    if (Row=sgSetting.FindIniRow('Default Color')) then
      EditStyle:=sgbDropDownColor;
    if (Row=sgSetting.FindIniRow('Start Date')) then
      EditStyle:=sgbDateTimePicker;
  end;
end;

procedure TStringGrigEdAsIniForm.Button1Click(Sender: TObject);
begin
  sgSetting.LoadFromIniFile('',mDefValues.Strings.Text);
end;

procedure TStringGrigEdAsIniForm.Button2Click(Sender: TObject);
begin
  sgSetting.LoadValuesFromIniFile(GetFilename);
end;

procedure TStringGrigEdAsIniForm.Button3Click(Sender: TObject);
begin
  sgSetting.SaveToIniFile(GetFilename);
end;

end.
