unit f_exportcomps;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, ExtCtrls, SLKExport, TXTExport, RTFReport2, DB, PropSaveMain,
  PropSaveGrids, StdCtrls, Buttons, Grids, DBGrids, rDBGrid, ComCtrls,
  rHTMLLabel, DBCtrls, rDBComponents, rXMLReport, rXLSExport;

type
  TExportComps = class(TForm)
    lblInfo: TrHTMLLabel;
    PropSaveMain1: TPropSaveMain;
    rDBGridsPropSave1: TrDBGridsPropSave;
    pc: TPageControl;
    TabSheet1: TTabSheet;
    TabSheet2: TTabSheet;
    grCust: TrDBGrid;
    grEmp: TrDBGrid;
    TXTExp: TTXTExport;
    SLKExp: TSLKExport;
    XLSExp: TrXLSExport;
    GroupBox1: TGroupBox;
    btExpTXT1: TBitBtn;
    btExpTXT2: TBitBtn;
    btXLSExp1: TBitBtn;
    btSLKExp: TBitBtn;
    btExpDlg: TBitBtn;
    procedure FormShow(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure SLKExpBeforeExport(Sender: TObject; MaxX, MaxY: Integer);
    procedure btExpDlgClick(Sender: TObject);
    procedure btExpTXT1Click(Sender: TObject);
    procedure btExpTXT2Click(Sender: TObject);
    procedure btXLSExp1Click(Sender: TObject);
    procedure btSLKExpClick(Sender: TObject);
  private
  public
  end;

var
  ExportComps: TExportComps;

implementation

uses dm_data, f_main, rDBGrid_DTEdit, rstring, rdlg, rtool, rdbtool,
  rDBExport, rDBPrint, RTFRep_DialogEx, rDBFilter;
{$R *.dfm}

procedure TExportComps.FormShow(Sender: TObject);
begin
  DMData.qEmp.Close;
  DMData.qEmp.Open;
  DMData.qCust.Close;
  DMData.qCust.Open;
end;

procedure TExportComps.FormClose(Sender: TObject; var Action: TCloseAction);
begin
  DMData.qEmp.Close;
  DMData.qCust.Close;
end;

procedure TExportComps.SLKExpBeforeExport(Sender: TObject; MaxX, MaxY: Integer);
begin
  SLKExp.ExportText('Any header text', 1, 1);
  SLKExp.SetCellFormat(SLKExport.cfBold, 1, 1);
end;

procedure TExportComps.btExpTXT1Click(Sender: TObject);
begin
  TXTExp.ExportFile:=GetAppDir + 'Export.txt';
  TXTExp.FieldSeparator:=' ';
  TXTExp.FillChar:=' ';
  if pc.ActivePageIndex = 0 then
  begin
    TXTExp.ExportOnlySelectedRows:=grEmp.SelectedRows.Count>0;
    TXTExp.Execute(grEmp);
  end
  else
    TXTExp.Execute(grCust);
end;

procedure TExportComps.btExpTXT2Click(Sender: TObject);
begin
  TXTExp.ExportFile:=GetAppDir + 'Export.csv';
  TXTExp.FieldSeparator:=',';
  TXTExp.FillChar:=#0;
  if pc.ActivePageIndex = 0 then
  begin
    TXTExp.ExportOnlySelectedRows:=grEmp.SelectedRows.Count>0;
    TXTExp.Execute(grEmp);
  end
  else
    TXTExp.Execute(grCust);
end;

procedure TExportComps.btSLKExpClick(Sender: TObject);
begin
  SLKExp.ExportFile:=GetAppDir + 'Export.slk';
  if pc.ActivePageIndex = 0 then
  begin
    SLKExp.ExportOnlySelectedRows:=grEmp.SelectedRows.Count>0;
    SLKExp.Execute(grEmp);
  end
  else
    SLKExp.Execute(grCust);
end;

procedure TExportComps.btXLSExp1Click(Sender: TObject);
begin
  if pc.ActivePageIndex = 0 then
  begin
    if grEmp.SelectedRows.Count>0 then
      XLSExp.Options:=XLSExp.Options+[xleOnlySelectedRows]
    else
      XLSExp.Options:=XLSExp.Options-[xleOnlySelectedRows];
    XLSExp.ExportDBTable(grEmp)
  end
  else
    XLSExp.ExportDBTable(grCust);
end;

procedure TExportComps.btExpDlgClick(Sender: TObject);
begin
  if pc.ActivePageIndex = 0 then
    rDBExport.DBExport(grEmp, true, true)
  else
    rDBExport.DBExport(grCust, true, true);
end;

end.
