unit f_rdbcheckbox;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, DB, Grids, DBGrids, rDBGrid, rDBGrid_MS, ExtCtrls, DBCtrls,
  StdCtrls, CheckLst, rDBComponents, ComCtrls, rHTMLLabel, Mask;

type
  TDBrCheckBox = class(TForm)
    gr1: TrDBGrid_MS;
    DBNavigator1: TDBNavigator;
    chbCatEx: TrDBCheckListBoxEx;
    rgLoadType: TRadioGroup;
    rHTMLLabel1: TrHTMLLabel;
    rgListType: TRadioGroup;
    Label2: TrHTMLLabel;
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure rgLoadTypeClick(Sender: TObject);
    procedure rgListTypeClick(Sender: TObject);
    procedure chbCatExLoadItemValues(Sender: TObject; Items: TCheckItemList);
    procedure AfterUpdate(DataSet: TDataSet);
    procedure FormShow(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  DBrCheckBox: TDBrCheckBox;

implementation

{$R *.dfm}
uses rtool, rdbtool, dm_data;

const
  cmdProdCat='SELECT ProductID, CategoryID FROM ProductCategoriesMatch ';

procedure TDBrCheckBox.FormShow(Sender: TObject);
begin
  DMData.qProducts.Close;
  DMData.qCategories.Close;
  DMData.qProdCatMatch.Close;

  rgLoadTypeClick(nil);

  DMData.qProducts.Open;
  DMData.qCategories.Open;
  DMData.qProdCatMatch.Open;
  DMData.AfterUpdate:=AfterUpdate;
  chbCatEx.DoLoadItemList;
end;

procedure TDBrCheckBox.FormClose(Sender: TObject; var Action: TCloseAction);
begin
  DMData.qProducts.Close;
  DMData.qCategories.Close;
  DMData.qProdCatMatch.Close;
  DMData.AfterUpdate:=nil;
end;

procedure TDBrCheckBox.rgListTypeClick(Sender: TObject);
begin
  chbCatEx.CheckItemsStyle:=TCheckItemsStyle(rgListType.ItemIndex);
  chbCatEx.DoLoadItemList;
end;

procedure TDBrCheckBox.rgLoadTypeClick(Sender: TObject);
begin
  if rgLoadType.ItemIndex = 0 then
  begin
    // reset SQL and remove OnLoadItemValues
    DMData.SetQuery(DMData.qProdCatMatch,cmdProdCat);
    DMData.qProdCatMatch.Open;
    chbCatEx.OnLoadItemValues:=nil
  end
  else
  begin
    // set event OnLoadItemValues
    DMData.qProdCatMatch.Filtered:=false;
    chbCatEx.OnLoadItemValues:=chbCatExLoadItemValues;
  end;
end;

procedure TDBrCheckBox.chbCatExLoadItemValues(Sender: TObject; Items: TCheckItemList);
begin
  // optional, is used only if User SQL is selected
  DMData.SetQuery(DMData.qProdCatMatch,cmdProdCat+Format(' WHERE ProductID=%d', [DMData.qProductsProductID.AsInteger]));
  DMData.qProdCatMatch.Open;
end;

procedure TDBrCheckBox.AfterUpdate(DataSet: TDataSet);
begin
  // for new recors withnout ID must be saved after main record is saved
  if chbCatEx.PostponedSaving then
    chbCatEx.DoSaveItemValues;
end;

end.
