unit f_rdbgrid_dbactions;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, ExtCtrls, StdCtrls, DB, PropSaveMain, PropSaveGrids, Clipbrd,
  Grids, DBGrids, rDBGrid, ComCtrls, rHTMLLabel, fr_dbtoolbar, fr_dbeditbar,
  rImprovedComps;

type
  TrDBGrid_DBActions = class(TForm)
    lblInfo: TrHTMLLabel;
    PropSaveMain1: TPropSaveMain;
    rDBGridsPropSave1: TrDBGridsPropSave;
    pc: TPageControl;
    TabSheet1: TTabSheet;
    TabSheet2: TTabSheet;
    gr62: TrDBGrid;
    gr61: TrDBGrid;
    TabSheet3: TTabSheet;
    rDBToolBar1: TrDBToolBar;
    rDBToolBar2: TrDBToolBar;
    rDBToolBar3: TrDBToolBar;
    rDBEditBar1: TrDBEditBar;
    GroupBox1: TGroupBox;
    eEditRights: TrEditNum;
    Label1: TLabel;
    eActionRights: TrEditNum;
    Label2: TLabel;
    procedure FormShow(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure FormCloseQuery(Sender: TObject; var CanClose: Boolean);
    procedure lblInfoAnchorClick(Sender: TObject; LinkName: String);
    procedure pcChange(Sender: TObject);
    procedure pcChanging(Sender: TObject; var AllowChange: Boolean);
    procedure eEditRightsChange(Sender: TObject);
  private
    function GetActiveGrid: TrDBGrid;
    procedure OtherActionState(Sender: TObject; rDBGrid: TrDBGrid; var Enabled: Boolean);
    procedure OtherActionRun(Sender: TObject; rDBGrid: TrDBGrid);
  public
  end;

var
  rDBGrid_DBActions: TrDBGrid_DBActions;

implementation

uses dm_data, f_main, rstring, rdlg, rtool, rDBGrid_DTEdit,
  dm_rdbaction, rDBImport, RosiCompGlobalCfg;
{$R *.dfm}

procedure TrDBGrid_DBActions.FormShow(Sender: TObject);
begin
  DMData.qEmp.Close;
  DMData.qEmp.Open;
  DMData.qCust.Close;
  DMData.qCust.Open;
  gr61.ReSort;
  gr62.ReSort;
  rDBAction.SetActiveGrid(GetActiveGrid);
  rDBAction.OnGetOtherActionState:=OtherActionState;
  rDBAction.OnRunOtherAction:=OtherActionRun;
  RosiCompConfig.rDBFieldsCfg.SetFixedCol:=true;
  // RosiCompConfig.rDBGridPropsCfg.HideGridStyles:=true;
end;

procedure TrDBGrid_DBActions.eEditRightsChange(Sender: TObject);
begin
  rDBAction.SetUserRights(true,self.eEditRights.AsInteger);
  rDBAction.SetUserRights(false,self.eActionRights.AsInteger);
end;

procedure TrDBGrid_DBActions.FormClose(Sender: TObject; var Action: TCloseAction);
begin
  rDBAction.SetActiveGrid(nil);
  DMData.qEmp.Close;
  DMData.qCust.Close;
end;

procedure TrDBGrid_DBActions.FormCloseQuery(Sender: TObject; var CanClose: Boolean);
begin
  CanClose:=rDBAction.CheckEditState(true);
end;

function TrDBGrid_DBActions.GetActiveGrid: TrDBGrid;
begin
  case pc.ActivePageIndex of
    0:
      Result:=gr61;
    1:
      Result:=gr62;
    else
      Result:=nil;
    end;
end;

procedure TrDBGrid_DBActions.lblInfoAnchorClick(Sender: TObject; LinkName: String);
begin
  if GetActiveGrid = nil then
    Exit;
  ShowrDBGridEditor(GetActiveGrid);
  GetActiveGrid.Invalidate;
end;

procedure TrDBGrid_DBActions.pcChanging(Sender: TObject; var AllowChange: Boolean);
begin
  AllowChange:=rDBAction.CheckEditState(true);
end;

procedure TrDBGrid_DBActions.pcChange(Sender: TObject);
begin
  rDBAction.SetActiveGrid(GetActiveGrid);
end;

procedure TrDBGrid_DBActions.OtherActionState(Sender: TObject; rDBGrid: TrDBGrid; var Enabled: Boolean);
begin
  if (Sender = rDBAction.acoImport) then
    Enabled:=true;
end;

procedure TrDBGrid_DBActions.OtherActionRun(Sender: TObject; rDBGrid: TrDBGrid);
begin
  if (Sender = rDBAction.acoImport) then
    rDBImport.DBImport(GetActiveGrid.DataSource.DataSet, nil, GetAppDir + 'udl_import', nil, nil);
end;

end.
