unit f_products;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, WideStrings, DB, StdCtrls, DBCtrls, rHTMLLabel, ComCtrls,
  ToolWin, Grids, rDBRecView, CheckLst, Mask,
  rImprovedComps, rDBComponents, rDBComponents_UDB, PropSaveMain;

type
  TProducts = class(TForm)
    ds1: TDataSource;
    gbTitle: TrGroupBox;
    cbRecSel: TrDBRecordSelection;
    gbEdit: TrGroupBox;
    ePRODUCTID: TrDBEdit;
    ePRODUCTNAME: TrDBEdit;
    cbCATEGORYID: TrDBLookupComboBoxUDB;
    chDISCONTINUED: TrDBCheckBoxUDB;
    lbSTOCKLEVEL: TrDBListBoxUDB;
    cbPACKAGE: TrDBComboBoxUDB;
    btPrev: TrDBMoveButton;
    btNext: TrDBMoveButton;
    chlSuppliers: TrDBCheckListBoxUDB;
    btNew: TrDBMoveButton;
    btDel: TrDBMoveButton;
    gbDesc: TrGroupBox;
    ScrollBox1: TScrollBox;
    lnlDesc: TrHTMLLabel;
    rvSupplier: TrDBRecViewUDB;
    Label1: TLabel;
    gbSupplEdit: TrGroupBox;
    tb1: TToolBar;
    tb1Edit: TrDBToolButton;
    tb1Save: TrDBToolButton;
    tb1New: TrDBToolButton;
    tb1Cancel: TrDBToolButton;
    tb1Sep: TToolButton;
    btSave: TrDBMoveButton;
    btCancel: TrDBMoveButton;
    ePRICE: TrDBEdit;
    PropSaveMain1: TPropSaveMain;
    procedure cbCATEGORYIDClickComboButton(Sender: TObject; Con: TConnectionUDB; TableName: string; DataField, ListField: TField);
    procedure cbCATEGORYIDClickComboDetailButton(Sender: TObject; Con: TConnectionUDB; TableName: string; DataField, ListField: TField);
    procedure lbSTOCKLEVELClickComboButton(Sender: TObject; Con: TConnectionUDB; TableName: string; DataField, ListField: TField);
    procedure chlSuppliersClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure rvSupplierRecDataSetEvent(DataSet: TDataSet; EventType: TDatasetEventType);
  private
    { Private declarations }
  public
    { Public declarations }
    procedure RefreshLists;
  end;

var
  Products: TProducts;

implementation

{$R *.dfm}
uses
  dm_data, rstring, rtool, rdbtool, rdlg, f_categoriesedit, f_stockleveledit,
  dm_auxdata;

procedure TProducts.FormCreate(Sender: TObject);
var
  ds: TDataSet;
begin
  ds:=ds1.DataSet;
  if not ds.Active then
    ds.Open;

  rvSupplier.RecDataSource.AutoEdit:=false;
  AuxData.SetAllChildrenDataSource(tb1, self.rvSupplier.RecDataSource, 1);
end;

procedure TProducts.cbCATEGORYIDClickComboButton(Sender: TObject; Con: TConnectionUDB; TableName: string; DataField, ListField: TField);
begin
  SelectCategory(cbCATEGORYID);
end;

procedure TProducts.cbCATEGORYIDClickComboDetailButton(Sender: TObject; Con: TConnectionUDB; TableName: string; DataField, ListField: TField);
begin
  DlgI('Show detail of selected record (eg. dialog form for edit)');
end;

procedure TProducts.lbSTOCKLEVELClickComboButton(Sender: TObject; Con: TConnectionUDB; TableName: string; DataField, ListField: TField);
begin
  SelectStockLevel(lbSTOCKLEVEL);
end;

procedure TProducts.rvSupplierRecDataSetEvent(DataSet: TDataSet; EventType: TDatasetEventType);
begin
  case EventType of
    deAfterPost, deAfterDelete, deAfterApplyUpdates:
      chlSuppliers.ReloadItemsList(true);
  end;
end;

procedure TProducts.chlSuppliersClick(Sender: TObject);
begin
  rdbtool.SetSQLWhere(rvSupplier.RecSQL, 'SUPPLIERID=%d', chlSuppliers.GetItemObjectAsInt);
  rvSupplier.ReloadData;
end;

procedure TProducts.RefreshLists;
begin
  self.cbCATEGORYID.ReloadItems;
  self.cbPACKAGE.ReloadItems;
  self.lbSTOCKLEVEL.ReloadItems;
  self.chlSuppliers.ReloadItemsList(true);
end;

end.
