unit f_stockleveledit;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, DB, Grids, DBGrids, rDBGrid, rImprovedComps, rDBComponents,
  rDBComponents_UDB, rDBGrid_MS, PropSaveMain, PropSaveGrids;

type
  TStockLevelEdit = class(TForm)
    gbBottom: TrGroupBox;
    rDBMoveButton6: TrDBMoveButton;
    rDBMoveButton5: TrDBMoveButton;
    rDBMoveButton3: TrDBMoveButton;
    rDBMoveButton4: TrDBMoveButton;
    btOk: TrDBMoveButton;
    btBack: TrDBMoveButton;
    grStockLevels: TrDBGrid_MSUDB;
    PropSaveMain1: TPropSaveMain;
    rDBGridsPropSave1: TrDBGridsPropSave;
    rDBGridSorter_UDB1: TrDBGridSorter_UDB;
    procedure FormShow(Sender: TObject);
    procedure btOkClick(Sender: TObject);
    procedure grStockLevelsListDataSetEvent(DataSet: TDataSet; EventType: TDatasetEventType);
  private
    { Private declarations }
    NeedReload: boolean;
  public
    { Public declarations }
  end;

var
  StockLevelEdit: TStockLevelEdit;

function SelectStockLevel(lb: TrDBListBoxUDB = nil): boolean;

implementation

{$R *.dfm}

uses rtool, rdlg, rstring, rdbtool, dm_data, dm_auxdata;

function SelectStockLevel(lb: TrDBListBoxUDB = nil): boolean;
var
  ListF: TField;
  ds: TDataSet;
  sel: boolean;
begin
  CreateF(TStockLevelEdit, StockLevelEdit);
  ds:=StockLevelEdit.grStockLevels.ListDataSet;
  if not ds.Active then
    ds.Open;

  // select active record regarding ListBox
  ListF:=nil;
  if Assigned(lb) then
  begin
    ListF:=ds.FieldByName(lb.DataField);
    if lb.ItemIndex >= 0 then
      ds.Locate(ListF.FieldName, lb.Items[lb.ItemIndex], []);
  end;
  StockLevelEdit.btOk.Visible:=Assigned(lb);

  // show window
  sel:=StockLevelEdit.ShowModal = mrOk;
  Result:=StockLevelEdit.NeedReload;

  // update listbox
  if Assigned(lb) then
  begin
    if Result then
      lb.ReloadItems;
    if sel and ((lb.ItemIndex < 0) or (ListF.Value <> lb.Items[lb.ItemIndex])) then
    begin
      lb.DataSource.DataSet.Edit;
      if IsEditing(lb.DataSource.DataSet) then
        lb.Field.Value:=ListF.Value;
    end;
  end;
end;

procedure TStockLevelEdit.FormShow(Sender: TObject);
begin
  NeedReload:=false;
  // use rGroupBox proc to link all rDBMoveButtons to internal dataset
  AuxData.SetAllChildrenDataSource(gbBottom, self.grStockLevels.ListDataSource, 1);
end;

procedure TStockLevelEdit.btOkClick(Sender: TObject);
begin
  Modalresult:=mrOk;
end;

procedure TStockLevelEdit.grStockLevelsListDataSetEvent(DataSet: TDataSet; EventType: TDatasetEventType);
begin
  case EventType of
    deAfterPost, deAfterDelete:
      NeedReload:=true;
    deBeforeDelete:
      if DlgQ(rstring.sDeleteQ) <> mrYes then
        Abort;
  end;
end;

end.
