unit rstring;

{<
  rstring unit contains all resource strings.

  @author(Rosinsky Software - <http://www.rosinsky.cz/delphi>)
  @created(Apr 2006)
  @lastmod(Lun 2015)
}

interface

const LangVer='IT';
const LangVerIT=1;

resourcestring

  // ***************************************************
  // COMMON STRING

  // Actions
  { }
  sInitialize = 'Initializzando';
  sBrowsing = 'Browsing';
  sEditing = 'Editing';
  sInserting = 'Inserting';
  sLoading = 'Loading';
  sCreating = 'Creating';
  sPrinting = 'Printing';
  sExporting = 'Exporting';
  sLookingFor = 'Ricerca...';
  sWaiting = 'Attendere';
  sChecking = 'Checking';
  sImporting = 'Importing';
  sOfData = ' of data...';

  // Questions
  { }
  sContinueQ = 'Continua?';
  sTerminateQ = 'Termina?';
  sCancelQ = 'Lascia perdere?';
  sDeleteQ = 'Elimina?';
  sOverwriteQ = 'Sovrascrivi?';
  sTryAgainQ = 'Riprova?';
  sSetDefaultValues = 'Riporta i valori predefiniti?';
  sSaveChangesQ = 'Salva le modifiche?';
  sUseChangesQ = 'Usa le modifiche?';
  sUseFilterQ = 'Usa il filtro selezionato?';

  // File and dir
  { }
  sFile = 'File "%s".';
  sFileNotFound = 'File "%s" non trovato.';
  sDirNotFound = 'Directory "%s" non trovata.';
  sFileExist = 'File "%s" gi esistente.';
  sDirExist = 'Directory "%s" gi esistente.';
  sFileSaved = 'File "%s" salvato.';
  sFileOpenQ = 'Apri file "%s"?';
  sOpenOtherFileQ = 'Apri un altro file?';
  sOpenLastFileQ = 'Apri file originale?';

  // File error
  { }
  sMakeDirErr = 'Cannot create targer directory "%s".';
  sFilePrintErr = 'Errore in stampa del file "%s".';
  sFileOpenErr = 'Errore in apertura del file "%s".';
  sFileOpenErr2 = 'Il file non esiste (probabilmente).';
  sFileSaveErr = 'Error during saving file "%s".';
  sFileSaveErr2 = 'You do not have access rights, target directory' + ' does not exist or target file is already opened in other application.';
  sDLLNotFound = 'Dynamic library "%s" not found or corrupted.';

  // File types
  { }
  sFileTypeAll = 'Tutti i file (*.*)|*.*';
  sFileTypeTXT = 'File di testo (*.txt)|*.txt';
  sFileTypeSLK = 'Symbolic connection file (*.slk)|*.slk';
  sFileTypeRTF = 'Rich text format (*.rtf)|*.rtf';
  sFileTypeDOC = 'MSWord document (*.doc)|*.doc';
  sFileTypeDOCX = 'MSWord document (*.docx)|*.docx';
  sFileTypeODT = 'Open document format (*.odt)|*.odt';
  sFileTypeXLS = 'Excel file (*.xls*)|*.xls*';
  sFileTypeMDB = 'Database MS Access (*.mdb)|*.mdb';
  sFileTypeACCDB = 'Database MS Access (*.accdb)|*.accdb';
  sFileTypeSQL = 'SQL command (*.sql)|*.sql';
  sFileTypeDBF = 'dBase file (*.dbf)|*.dbf';
  sFileTypePDF = 'PDF file (*.pdf)|*.pdf';
  sFileTypeBMP = 'Bitmaps (*.bmp)|*.bmp';
  sFileTypeJPG = 'Jpeg files (*.jpg;*.jpeg)|*.jpg;*.jpeg';
  sFileTypePNG = 'PNG files (*.png)|*.png';
  sFileTypeBMPJPG = 'Graphics formats (*.bmp;*.jpg;*.jpeg)|*.bmp;*.jpg;*.jpeg';
  sFileTypeBMPJPGPNG = 'Graphics formats (*.bmp;*.jpg;*.jpeg;*.png)|*.bmp;*.jpg;*.jpeg;*.png';

  // Error descriptions
  { }
  sErrorDescription = 'Descrizione dell''errore:';
  sRuntimeErr = 'Errore Runtime.';
  sRaiseErr = 'Errore imprevisto. Chiudere e riaprire il programma.';


  // Format error
  { }
  sInputErr = 'Error in input parameters.';
  sFormatNumberErr = 'Bad number format.';
  sFormatDateErr = 'Bad date format.';
  sFormatYearErr = 'Bad year format.';
  sDateIntervalErr = 'Bad format of date period.';
  sExpressionErr = 'Error in expression.';
  sPictureErr = 'Bad picture format.';

  // Other
  { }
  sAborted = 'Azione interrotta.';
  sTerminate = 'Il programma verr terminato.';
  sNotRegist = 'Il programma non  attivato.';
  sNotImplement = 'Azione non ancora implementata.';
  sNotSupported = 'Funzione non supportata.';
  sVersion = 'Versione';
  sAllOK = 'Tutto OK.';
  sYes = 'S';
  sNo = 'No';
  sOK = 'Ok';
  sCancel = 'Lascia perdere';

  sWrongPsw = 'Password errata.';
  sMailErr = 'Errore in invio e-mail.';
  sMailGenInfo = 'Generazione della e-mail...';

  // ***************************************************
  // DATABASE STRING

  // DB action
  { }
  sConnecting = 'Connecting to database...';
  sLogging = 'Logging to database...';
  sInactive = 'Inactive';
  sRecord = 'record';
  sNumRecords = '%d records';
  sSelRecords = 'Selected %d records.';

  // DB questions
  { }
  sDelRecordQ = 'Delete selected record?';
  sDelMultipleRecordQ = 'Delete all selected records?';

  // DB error
  { }
  sConnectDataErr = 'Connection to database "%s" failed.';
  sCreateDataErr = 'Error: Cannot create data.';
  sOpenDataErr = 'Error: Cannot open data.';
  sReadDataErr = 'Error: Cannot read data.';
  sSaveDataErr = 'Error: Cannot save data.';
  sCompressDataErr = 'Error: Cannot compress data.';
  sExportDataErr = 'Error: Cannot export data.';
  sImportDataErr = 'Error: Cannot import data.';
  sDecodeDataErr = 'Cannot decode data.';
  sSaveRecordErr = 'Error: Cannot save record.';
  sOpenTableErr = 'Error: Cannot open table "%s".';
  sEditRecordErr = 'Error: Cannot edit record.';
  sSortDataErr = 'Error: Sorting of data.';
  sNoSavedItems = 'no saved items';
  sInputItemName = 'Name of saved item:';

  // Find results
  { }
  sNotFound = 'Non trovato';
  sFound = 'trovato';

  sFilterName = 'Nome del filtro';
  sFilterString = 'Condizioni del filtro';

  sEndEditing = 'Conclusa la modifica del record.';

  // ***************************************************
  // UNIT rdlg

  { }
  sInformation = 'Informazione';
  sQuestion = 'Domanda';
  sWarning = 'Avviso';
  sInput = 'Input';
  sError = 'Errore';
  sBtOk = '&Ok';
  sBtYes = '&S';
  sBtNo = '&No';
  sBtCancel = '&Lascia perdere';
  sCut = 'Taglia';
  sCopy = 'Copia';
  sPaste = 'Incolla';
  sDelete = 'Elimina';
  sUndo = 'Undo';
  sSelectAll = 'Seleziona tutto';
  sSaveToFile = 'Salva su file...';
  sLoadFromFile = 'Carica da file...';
  sFind = 'Cerca';
  sFindNext = 'Cerca successivo';
  sChangeFont = 'Cambia font';
  sAbort = 'Abort';
  sWordWrap = 'Word wrap';

  // ***************************************************
  // UNIT RTFReport

  { }
  sReport = 'Report';
  sTemplateFormatErr = 'Bad format of template file.';
  sPrinterNotFound = 'Printer "%s" not found.';

  sTemplateBracketErr = 'Bracket error in function: "%s".';
  sTemplateFieldErr = 'Calculation error in database field "%s".';
  sTemplateDatasetErr = 'Incorrect dataset "%s", (A..Z allowed)';
  sTemplateTagNotFoundErr = '"%s" not found.';
  sTemplateCalculationErr = 'Calculation error in function "%s".';
  sTemplateIncorrectTag = 'Incorrect tag "%s".';
  sTemplateInsertTableErr = 'Tag "%s" can be used only inside table with one row.';

  sCreatingReport = 'Creating of report...';
  sCreatingReportErr = 'Error during creating of report.';
  sFileGeneration = 'Generation of file %s...';
  sPDFWaitAgainQ = 'Output file is not generated yet. Do you want to still wait?';
  sPDFConfiguration = 'PDF printer configuration...';
  sPDFConfigurationErr = 'Error during PDF printer configuration.';
  sDeleteOldFileErr = 'Output file %s already exists and cannot be overwritten.';

  // OLE
  sMSWordNotFound = 'MSWord application not found.';
  sMSWordError = 'MSWord application error.';
  sMSExcelNotFound = 'MSExcel application not found.';
  sMSExcelError = 'MSExcel application error.';
  sMSExcelRunningToClose = 'Creted MSExcel application will be closed and file was changed. Save changes?';

  // ***************************************************
  // rDBGrid unit
  { }
  sPMSum = 'Sum = %sum';
  sPMMin = 'Min = %min';
  sPMMax = 'Max = %max';
  sPMAvg = 'Avg = %avg';
  sPMCountVal = 'Righe con valori = %CountVal';
  sPMCountNull = 'Righe con vuoti = %CountNull';
  sPMCountAll = 'Righe totali = %CountAll';
  sPMDistinctValues = 'Distinct values = %DistinctValues';

  sSelectAllRecords = 'Seleziona tutti i record';
  sDeselectAllRecords = 'Deseleziona tutti i record';
  sReverseSelection = 'Inverti selezione';
  sDeleteSelectedRecords = 'Elimina record selezionati';
  sNoRecordsSelected = 'Nessun record selezionato.';
  sSelectedNumRecContinueQ = 'Ci sono gi %d record selezionati, continuare?';

  sCellParamsCondErr='Invalid condition for field %s. Condition will be deactivated.';
  sCellParamsCondStart='comincia con';
  sCellParamsCondNotStart='not comincia con';
  sCellParamsCondContain='contiene';
  sCellParamsCondNotContain='non contiene';
  sCellParamsCondAllways='sempre';
  sCellParamsActSet='>>>';
  sCellParamsActAND='AND';
  sCellParamsActOR='OR';

  sFilterSelectAll = '(seleziona tutto)';
  sFilterNullValue = '(vuoto)';
  sIndicatorColumnName = '- Row header -';
  sFiltered = 'Filtered';
  sFilterResetHint = 'Ctrl+Left to reset';
  sFilterSetHint = 'Ctrl+Right to filter';

  // ***************************************************
  // rDBComponent unit
  { }
  sPictureEmpty = '(vuoto)';
  sPictureCorrupted = '(difettoso)';
  sSaveInJPEGFormat = 'Store in JPG format';
  sPictureResize = 'Cambia risoluzione';
  sResizeRatioQ = 'Requested size in percentage (1% - 500%):';
  sZoomAutoFit = 'Zoom - to window';
  sZoomIn = 'Zoom in';
  sZoomOut = 'Zoom out';
  sZoom = 'Zoom';
  sShowPicEdit = 'Edit in new window (brightness, contrast)';
  sPicConvert = 'Converti...';
  sPicConvertJPG1 = 'current record to JPG';
  sPicConvertBMP1 = 'current record to BMP';
  sPicConvertJPGAll = 'all records to JPG';
  sPicConvertBMPAll = 'all records to BMP';
  sPicConvertAllQ = 'This action change format of this field for all records in table.';
  sPicConvertProcess = 'Converting...';
  sBlobOpen = 'Apri';
  sBlobLoad = 'Carica';
  sBlobSave = 'Salva';
  sBlobClear = 'Clear';
  sBlobRename = 'Modifica nome del file';
  sBlobChangeExtQ = 'Do you want to change file type (extension)? This change can affect readibility of the file.';
  sBlobFileOverLimitQ = 'Size of selected file (%f MB) exceed set limit (%f MB).';

  sFormatInfo = 'Format selected text';
  sFormatBold = 'Grassetto';
  sFormatItalic = 'Italico';
  sFormatUnderline = 'Sottolineato';
  sFormatAsUnnumberedList='Unnumbered list';
  sFormatAsNumberedList='Numbered list';
  sFormatNewPage = 'Inserisci nuova pagina';
  sFormatNewLine2 = 'Inserisci a capo riga';
  sFormatNewLineAuto='Inserisci a capo in tutte le righe';
  sFormatHorLine = 'Inserisci riga orizzontale';
  sFormatHTMLLink = 'Inserisci link HTML';
  sFormatClear = 'Elimina tutti i formati';
  sEditInfo = 'Mostra in finestra separata';

  // added Dec2020
  sFont = 'Font';
  sFormatStrikeOut = 'Strike out';
  sFontSmaller = 'Smaller';
  sFontBigger = 'Bigger';
  sFontColor = 'Font color';
  sParagraph = 'Paragraph';
  sIndentDecrease = 'Decrease indent';
  sIndentIncrease = 'Increase indent';
  sTextAlignLeft = 'Align text to left';
  sTextAlignRight = 'Align text to right';
  sTextAlignCenter = 'Align text center';
  sBulletPoints = 'Bullet points . . .';
  sBulletNumbers = 'Bullets 1, 2, 3';
  sBulletLetters = 'Bullets a, b, c';

  sConfirmChanges = 'Confirm changes';
  sCancelChanges = 'Cancel changes';
  // added Dec2020

  // ***************************************************
  // rDBMemoGrid unit
  { }
  mnDelRow = 'Elimina riga';
  mnMoveUpRow = 'Muovi riga in su';
  mnMoveDownRow = 'Muovi riga in gi';
  mnCopyCell = 'Copia la cella';
  mnPasteCell = 'Incolla la cella';
  mnCopyTable = 'Copia la tabella';
  mnPasteTable = 'Incolla la tabella';
  mnAppendTable = 'Accoda la tabella';
  mnClearTable = 'Svuota la tabella';
  mnSelectRow = 'Seleziona la riga';
  mnSelectAll = 'Seleziona tutte le righe';
  mnSelectCol = 'Seleziona colonna';
  mnSelectCell = 'Seleziona cella';
  mnDeselectAll = 'Deseleziona tutto';

  // ***************************************************
  // rDBPrint unit
  { }
  sPrintToomuchCols = 'Dati da stampare troppo larghi, togliere la selezione da alcune colonne oppure usare un font pi piccolo.';
  sPrintRecCount='Numero di righe totali: %d';
  sPrintPreviewLimit = 'Anteprima limitata a 60 pagine.';

  // ***************************************************
  // rpictool unit
  { }
  sColorBlack = 'Black';
  sColorBlackLoc = 'Black';
  sColorMaroon = 'Maroon';
  sColorMaroonLoc = 'Maroon';
  sColorGreen = 'Green';
  sColorGreenLoc = 'Green';
  sColorOlive = 'Olive';
  sColorOliveLoc = 'Olive';
  sColorNavy = 'Navy';
  sColorNavyLoc = 'Navy';
  sColorPurple = 'Purple';
  sColorPurpleLoc = 'Purple';
  sColorTeal = 'Teal';
  sColorTealLoc = 'Teal';
  sColorGray = 'Gray';
  sColorGrayLoc = 'Gray';
  sColorSilver = 'Silver';
  sColorSilverLoc = 'Silver';
  sColorRed = 'Red';
  sColorRedLoc = 'Red';
  sColorLime = 'Lime';
  sColorLimeLoc = 'Lime';
  sColorYellow = 'Yellow';
  sColorYellowLoc = 'Yellow';
  sColorBlue = 'Blue';
  sColorBlueLoc = 'Blue';
  sColorFuchsia = 'Fuchsia';
  sColorFuchsiaLoc = 'Fuchsia';
  sColorAqua = 'Aqua';
  sColorAquaLoc = 'Aqua';
  sColorWhite = 'White';
  sColorWhiteLoc = 'White';

  sColorMoneyGreen = 'MoneyGreen';
  sColorMoneyGreenLoc = 'Money Green';
  sColorSkyBlue = 'SkyBlue';
  sColorSkyBlueLoc = 'Sky Blue';
  sColorCream = 'Cream';
  sColorCreamLoc = 'Cream';
  sColorMedGray = 'MedGray';
  sColorMedGrayLoc = 'Med Gray';

  sColorCustom = 'Personalizza...';
  sColorCustomLoc = 'Personalizza...';

implementation

end.
