unit rDBGridSorter_FireDac;

{<
  rDBGridSorter_FireDac unit contains TrDBGridSorter_FireDac - sorter for TFDDataSet
  used by rDBGrid to sort FireDac datasets.

  @author(Rosinsky Software - <http://www.rosinsky.cz/delphi>)
  @created(Oct 2006 - Jun 2013)
  @lastmod(Dec 2015)
}

interface

uses
  Windows, Messages, SysUtils, Graphics, Classes, Controls, Menus, Dialogs,
  StdCtrls, Forms, DB, Variants, rDBGrid,
  FireDAC.Comp.DataSet;

type
  { Sorter for TFDDataSet - used by rDBGrid to sort FireDac datasets }
  TrDBGridSorter_FireDac = class(TrDBGridCustomSorter)
  public
    function SetSort_CreateIndex(DataSet: TDataSet; const SortString: string; const SortFields: string; const DescendingFields: string): boolean; override;
  end;

procedure Register;

implementation

{$R *.res}
uses RosiCompGlobalCfg;

procedure Register;
begin
  RegisterComponents('Rosi DB', [TrDBGridSorter_FireDac]);
end;

function TrDBGridSorter_FireDac.SetSort_CreateIndex(DataSet: TDataSet; const SortString: string; const SortFields: string; const DescendingFields: string)
  : boolean;
var
  DS: TFDDataSet;
  idxName: string;
begin
  if (DataSet is TFDDataSet) then
  begin
    DS:=DataSet as TFDDataSet;
    if Trim(SortFields)='' then
      DS.IndexName:=''
    else
    begin
      idxName:=SortFields + '_' + DescendingFields;
      if DS.IndexDefs.IndexOf(idxName) < 0 then
        DS.AddIndex(idxName, SortFields, '', [], DescendingFields);
      DS.IndexDefs.Update;
      DS.IndexName:=idxName;
    end;
    Result:=true;
  end
  else
    Result:= inherited;
end;

end.
