unit rDBGridCellParamsValues;

{<
  rDBGridCellParamsValues provides universal dialog for editing of
  compared value for rDBGridCellParams dialog.

  Full functional demo
  @author(Rosinsky Software - <http://www.rosinsky.cz/delphi>)
  @created(Jun 2012)
  @lastmod(March 2018)
}

interface

{$INCLUDE _rosi.inc}

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, ComCtrls, StdCtrls, ImgList, rHTMLLabel, PropSaveMain, rImprovedComps,
  rdbdlg_baseform;

type
  { provides universal dialog for editing of
  compared value for rDBGridCellParams dialog }
  TrDBGridCellParamsValuesForm = class(TrDBDlgBaseForm)
    gb: TGroupBox;
    rbFix: TRadioButton;
    cbFix: TComboBox;
    rbDate: TRadioButton;
    eDate: TDateTimePicker;
    chDate: TCheckBox;
    rbField: TRadioButton;
    cbField: TComboBox;
    Label1: TLabel;
    rHTMLLabel1: TrHTMLLabel;
    btOk: TrButton;
    btCancel: TrButton;
    Label2: TLabel;
    cbSumType: TComboBox;
    procedure cbFixChange(Sender: TObject);
    procedure eDateChange(Sender: TObject);
    procedure cbFieldChange(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure btOkClick(Sender: TObject);
    procedure rHTMLLabel1GetParameter(Sender: TObject; var ParamStr: string);
  private
  public
    cond: string;
  end;

var
  rDBGridCellParamsValuesForm: TrDBGridCellParamsValuesForm;

implementation

{$R *.dfm}
uses rtool, rstring;

procedure TrDBGridCellParamsValuesForm.FormShow(Sender: TObject);
begin
  inherited;
  eDate.Enabled:=rbDate.Enabled;
  chDate.Enabled:=rbDate.Enabled;
end;

procedure TrDBGridCellParamsValuesForm.rHTMLLabel1GetParameter(Sender: TObject; var ParamStr: string);
begin
  ParamStr:=cond;
end;

procedure TrDBGridCellParamsValuesForm.btOkClick(Sender: TObject);
begin
  if rbField.Checked and (cbField.Text = '') then
    Abort;
  ModalResult:=mrOk;
end;

procedure TrDBGridCellParamsValuesForm.cbFieldChange(Sender: TObject);
begin
  rbField.Checked:=true;
end;

procedure TrDBGridCellParamsValuesForm.cbFixChange(Sender: TObject);
begin
  rbFix.Checked:=true;
end;

procedure TrDBGridCellParamsValuesForm.eDateChange(Sender: TObject);
begin
  rbDate.Checked:=true;
end;

end.
